#include<iostream>
using namespace std;
int main()
{
 int n,p;
 long long s=1,m=1020847;
 cin>>n>>p;
 for(int i=1;i<n;i++)
         {
         s*=i;
         if(s>m)s%=m;
         }
 cout<<s%m<<endl;
 return 0;
}
